%global stackname genmsg
%global gitrev 7859688
Name:           python-%{stackname}
Version:        0.3.10
Release:        2.git%{gitrev}%{?dist}
Summary:        Python library for generating ROS message and service data

License:        BSD
URL:            http://ros.org/doc/api/genmsg/html/
#wget --content-disposition https://github.com/wg-debs/genmsg-release/tarball/upstream/0.3.10
Source0:        wg-debs-%{stackname}-release-upstream-%{version}-0-g%{gitrev}.tar.gz
#Moves /usr/etc to /etc
Patch0:         ros-genmsg-etc.patch

BuildArch:      noarch
Provides:       ros-%{stackname} = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  python-setuptools-devel
BuildRequires:  ros-catkin

%description
genmsg decouples code generation for ROS message & service files from the 
parsing of these files, and from implementation details of the build system.

%prep
%setup -q -n wg-debs-%{stackname}-release-b114599
%patch0 -p2 -b .etc

%build
mkdir build
pushd build
%cmake .. \
  -DSETUPTOOLS_DEB_LAYOUT=OFF
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig
mv $RPM_BUILD_ROOT%{_usr}/lib/pkgconfig/genmsg.pc $RPM_BUILD_ROOT/%{_datadir}/pkgconfig

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/ros-langs

%files
%{_datadir}/%{stackname}
%{_datadir}/pkgconfig/*.pc
%{python_sitelib}/%{stackname}
%{python_sitelib}/*egg-info
%dir %{_sysconfdir}/ros-langs


%changelog
* Mon Mar 25 2013 Rich Mattes <richmattes@gmail.com> - 0.3.10-2.git7859688
- Add requirement on ros-catkin
- Change package name to python-genmsg

* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 0.3.10-1.git7859688
- Initial package
